pep8_1.2-1_all.deb


Advertisement

Description

pep8 - Python PEP 8 code style checker

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name pep8
Package version 1.2
Package release 1
Package architecture all
Package type deb
Installed size 174 B
Download size 30.59 KB
Official Mirror ftp.br.debian.org
Features a plugin architecture allowing for adding new checks is easily.
Parseable output listing line numbers of the error location.  Consists of
just one Python file, and requires only stdlib.

Alternatives

Package Version Architecture Repository
pep8_1.2-1_all.deb 1.2 all Debian Main
pep8 - - -

Requires

Name Value
python << 2.8
python >= 2.6.6-7~
python-pkg-resources -
python-setuptools -
python2.6 -
python2.7 -

Download

Type URL
Binary Package pep8_1.2-1_all.deb
Source Package pep8

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pep8 deb package:
    # sudo apt-get install pep8

Files

Path
/usr/bin/pep8
/usr/lib/python2.6/dist-packages/pep8.py
/usr/lib/python2.6/dist-packages/pep8-1.2.egg-info/PKG-INFO
/usr/lib/python2.6/dist-packages/pep8-1.2.egg-info/SOURCES.txt
/usr/lib/python2.6/dist-packages/pep8-1.2.egg-info/dependency_links.txt
/usr/lib/python2.6/dist-packages/pep8-1.2.egg-info/entry_points.txt
/usr/lib/python2.6/dist-packages/pep8-1.2.egg-info/namespace_packages.txt
/usr/lib/python2.6/dist-packages/pep8-1.2.egg-info/not-zip-safe
/usr/lib/python2.6/dist-packages/pep8-1.2.egg-info/requires.txt
/usr/lib/python2.6/dist-packages/pep8-1.2.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/pep8.py
/usr/lib/python2.7/dist-packages/pep8-1.2.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/pep8-1.2.egg-info/SOURCES.txt
/usr/lib/python2.7/dist-packages/pep8-1.2.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/pep8-1.2.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/pep8-1.2.egg-info/namespace_packages.txt
/usr/lib/python2.7/dist-packages/pep8-1.2.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/pep8-1.2.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/pep8-1.2.egg-info/top_level.txt
/usr/share/doc/pep8/README.rst.gz
/usr/share/doc/pep8/changelog.Debian.gz
/usr/share/doc/pep8/changelog.gz
/usr/share/doc/pep8/copyright
/usr/share/man/man1/pep8.1.gz
/usr/share/pyshared/pep8.py
/usr/share/pyshared/pep8-1.2.egg-info/SOURCES.txt
/usr/share/pyshared/pep8-1.2.egg-info/dependency_links.txt
/usr/share/pyshared/pep8-1.2.egg-info/entry_points.txt
/usr/share/pyshared/pep8-1.2.egg-info/namespace_packages.txt
/usr/share/pyshared/pep8-1.2.egg-info/not-zip-safe
/usr/share/pyshared/pep8-1.2.egg-info/requires.txt
/usr/share/pyshared/pep8-1.2.egg-info/top_level.txt
/usr/share/python/ns/pep8

Changelog

2012-06-20 - David Watson <dwatson@debian.org>
pep8 (1.2-1) unstable; urgency=low
* New upstream release
2012-04-26 - David Watson <dwatson@debian.org>
pep8 (1.0.1-1) unstable; urgency=low
* New upstream release.
* Update Standards version, no changes needed.
2011-08-15 - David Watson <dwatson@debian.org>
pep8 (0.6.1-2) unstable; urgency=low
* Revert depends change. (Closes: #637920)
* Update Standards version, no changes needed.
2011-08-06 - David Watson <dwatson@debian.org>
pep8 (0.6.1-1) unstable; urgency=low
* New upstream release. (Closes: #635562)
* Remove depends on python-setuptools. (Closes: #581019)
* Update Standards version, no changes needed.
2010-03-16 - David Watson <david@bashton.com>
pep8 (0.5.0-1) unstable; urgency=low
* New upstream release
* Updated Standards version, no changes needed.
2010-01-22 - David Watson <david@bashton.com>
pep8 (0.4.2-3) unstable; urgency=low
* Improve short and long descriptions. (Closes: #554944)
2009-10-26 - David Watson <david@bashton.com>
pep8 (0.4.2-2) unstable; urgency=low
* Add missing depends on python-setuptools. Closes (#552259).
2009-10-23 - David Watson <david@bashton.com>
pep8 (0.4.2-1) unstable; urgency=low
* Initial release (Closes: #552081)

See Also

Package Description
perceptualdiff_1.1.1-1_amd64.deb perceptual image comparison tool
percona-toolkit_2.1.2-1_all.deb Command-line tools for MySQL and system tasks
perdition-ldap_1.19~rc5-1+b1_amd64.deb Library to allow perdition to access LDAP based popmaps
perdition-mysql_1.19~rc5-1+b1_amd64.deb Library to allow perdition to access MySQL based popmaps
perdition-odbc_1.19~rc5-1+b1_amd64.deb Library to allow perdition to access ODBC based popmaps
perdition-postgresql_1.19~rc5-1+b1_amd64.deb Library to allow perdition to access PostgreSQL based popmaps
perdition_1.19~rc5-1+b1_amd64.deb POP3 and IMAP4 Proxy server
perforate_1.2-5_amd64.deb Utilities to save disk space
performous-tools_0.6.1-6_amd64.deb karaoke game that allows user supplied songs - tools
performous_0.6.1-6_amd64.deb karaoke game that allows user supplied songs
perftest_1.2-OFED-1.4.2-2_amd64.deb Infiniband verbs performance tests
perl-base_5.14.2-21+deb7u3_amd64.deb minimal Perl system
perl-byacc_2.0-7_amd64.deb Berkeley LALR parser generator, Perl version
perl-debug_5.14.2-21+deb7u3_amd64.deb debug-enabled Perl interpreter
perl-depends_2011.0324+git74d587e-1_all.deb roughly find out module depends from a perl file
Advertisement
Advertisement